<!DOCTYPE html>
<html lang="">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="css/styles.css">
    <link href="https://fonts.googleapis.com/css?family=Snowburst+One&display=swap" rel="stylesheet"> 
    <link href="https://fonts.googleapis.com/css?family=Merriweather&display=swap" rel="stylesheet">
    <script src='https://code.jquery.com/jquery-3.1.0.js'></script>
    <title>Grid</title>
</head>
<body>
     <header>
    <nav>
        <a class="head_grid" href="index.html">accueil</a>
        <h1 class="the-grid">the-Grid</h1>
        <a class="head_grid" href="flex.html">Flex</a>
    </nav>
    <div class="button">
        <button id='btn1'>Grid template column</button>
        <button id='btn2'>Grid template row</button>
        <button id='btn3'>Grid column gap</button>
        <button id='btn4'>Grid row gap</button>
        <button id='btn5'>Grid gap</button>
        <button id='btn6'>Grid column start</button>
        <button id='btn7'>Grid column end</button>
        <button id='btn8'>Grid column</button>
        <button id='btn9'>Grid row start</button>
        <button id='btn10'>Grid row end</button>
        <button id='btn11'>Grid row</button>
        <button id='btn12'>Grid area</button>
    </div>
    </header>
    <main>
  
    <!-- GRID TEMPLATE  -->

   
   <!-- grid-template-column -->
    <section class="grid-template-column">
      
        <div class="chef" >
            <div class="forme" >
                    <div class="nos-boxs2  div_gride " id="grid-template-column">
                        <div class="box1">1</div>
                        <div class="box1">2</div>  
                        <div class="box1">3</div>
                        <div class="box1">4</div>
                        <div class="box1">5</div>
                        <div class="box1">6</div>
                        <div class="box1">7</div>
                        <div class="box1">8</div>
                        <div class="box1">9</div>
                        <div class="box1">10</div>
                        <div class="box1">11</div>
                        <div class="box1">12</div>
                </div>
            </div>
            <div class="css">
                <h3>grid-template-column</h3>
                <h4>La propriété grid-template-columns définit les noms des lignes et les fonctions de taille (track sizing) pour les colonnes de la grille.</h4> <br>
                <img src="img/grid-temp-col.png" alt="">
                <br>
                <button id="btn-grid-template-columns">ESSAYER</button>
            </div>
        </div>
    </section>
    
      <!-- grid-template-row -->
    <section class="grid-template-row">
        <div class="chef" >
            <div class="forme" >
                    <div class="nos-boxs2 div_gride " id="grid-template-row">
                        <div class="box1">1</div>
                        <div class="box1">2</div>  
                        <div class="box1">3</div>
                        <div class="box1">4</div>
                        <div class="box1">5</div>
                        <div class="box1">6</div>
                        <div class="box1">7</div>
                        <div class="box1">8</div>
                        <div class="box1">9</div>
                </div>
            </div>
            <div class="css">
                <h3>grid-template-row</h3>
                <h4>La propriété grid-template-rows définit les noms des lignes et les fonctions de taille (track sizing) pour les lignes de la grille.</h4> <br>
                <img src="img/grid_col_ro.png" alt="">
                <br>
                <button id="btn-grid-template-row">ESSAYER</button>
            </div>
        </div>
    </section>

     <!-- grid-column-gap -->
    <section class="grid-column-gap">
        <div class="chef" >
            <div class="forme" >
                    <div class="nos-boxs2  div_gride" id="grid-column-gap">
                        <div class="box1">1</div>
                        <div class="box1">2</div>  
                        <div class="box1">3</div>
                        <div class="box1">4</div>
                        <div class="box1">5</div>
                        <div class="box1">6</div>
                        <div class="box1">7</div>
                        <div class="box1">8</div>
                        <div class="box1">9</div>
                        <div class="box1">10</div>
                        <div class="box1">11</div>
                        <div class="box1">12</div>
                </div>
            </div>
            <div class="css">
                <h3>grid-column-gap</h3>
                <h4>La propriété grid-column-gap définit l'espacement entre les colonnes d'une grille. <br><i> Attention cette fonctionnalité a été supprimé des standards du web !</i></h4> <br>
                <img src="img/column-gap.png" alt="">
                <br>
                <button id="btn-grid-column-gap">ESSAYER</button>
            </div>
        </div>
    </section>

    <!-- grid-row-gap -->
    <section class=" grid-row-gap">
        <div class="chef" >
            <div class="forme" >
                    <div class="nos-boxs2  div_gride" id="grid-row-gap">
                        <div class="box1">1</div>
                        <div class="box1">2</div>  
                        <div class="box1">3</div>
                        <div class="box1">4</div>
                        <div class="box1">5</div>
                        <div class="box1">6</div>
                        <div class="box1">7</div>
                        <div class="box1">8</div>
                        <div class="box1">9</div>
                </div>
            </div>
            <div class="css">
                <h3>grid-row-gap</h3>
                <h4>La propriété row-gap définit la taille des gouttières entre les lignes d'un élément.</h4> <br>
                <img src="img/gap_row_gride.png" alt="">
                <br>
                <button id="btn-grid-row-gap">ESSAYER</button>
            </div>
        </div>
    </section>

    <!-- grid-row -->
    <section class="grid-gap">
        <div class="chef" >
            <div class="forme" >
                    <div class="nos-boxs2  div_gride" id="grid-gap">
                        <div class="box1">1</div>
                        <div class="box1">2</div>  
                        <div class="box1">3</div>
                        <div class="box1">4</div>
                        <div class="box1">5</div>
                        <div class="box1">6</div>
                        <div class="box1">7</div>
                        <div class="box1">8</div>
                        <div class="box1">9</div>
                </div>
            </div>
            <div class="css">
                <h3>grid-gap</h3>
                <h4>La propriété gap est une propriété raccourcie pour row-gap et column-gap qui permet de définir les espaces entre les lignes et entre les colonnes d'une grille.</h4> <br>
                <img src="img/gap_gride.png" alt="">
                <br>
                <button id="btn-grid-gap">ESSAYER</button>
            </div>
        </div>
    </section>

    <!-- GRID COLUMN  -->
 

  <!-- grid-column-start -->
    <section class="grid-column-start">
        <div class="chef" >
            <div class="forme" >
                    <div class="nos-boxs2 div_gride" id="grid-colum-start" >
                        <div id="boite1">1</div>
                        <div>2</div>
                        <div>3</div> 
                        <div>4</div>
                        <div>5</div> 
                        <div>6</div>
                        <div>7</div>
                        <div>8</div>     
                </div>
            </div>
            <div class="css">
                <h3>grid-column-start</h3>
                <h4>Défini la position de débart d'un éléement sur les colonnes de la grille</h4> <br>
                <img src="img/start_col_grid.png" alt="">
                <br>
                <button id="btn-grid-col-start">ESSAYER</button>
            </div>
        </div>
    </section>

  <!-- grid-column-end -->
  <section class="grid-column-end">
    <div class="chef" >
        <div class="forme" >
                <div class="nos-boxs2 div_gride" id="grid-colum-end" >
                        <div id="boite5">1</div>
                        <div>2</div>
                        <div>3</div> 
                        <div>4</div>
                        <div>5</div> 
                        <div>6</div>
                        <div>7</div>
                        <div>8</div>     
                </div>
        </div>
        <div class="css">
            <h3>grid-column-end</h3>
            <h4>La propriété grid-column-end définit la position de la fin d'un élément de la grille dans une zone donnée ou sur un fragment de colonne donné.</h4> <br>
            <img src="img/end_col_grid.png" alt="">
            <br>
                <button id="btn-grid-col-end">ESSAYER</button>
        </div>
    </div>
</section>


 <!-- grid-column -->
 <section class="grid-column">
    <div class="chef" >
        <div class="forme" >
                <div class="nos-boxs2 div_gride" id="grid-colum" >
                <div class="box1" id="boite9">1</div>
                <div>2</div>
                <div>3</div> 
                <div>4</div>
                <div>5</div> 
                <div>6</div>
                <div>7</div>
                <div>8</div>   
            </div>
        </div>
        <div class="css">
            <h3>grid-column</h3>
            <h4>La propriété grid-column est une propriété raccourcie pour grid-column-start et grid-column-end. Elle permet de définir la taille et l'emplacement d'un élément sur la grille en indiquant l'emplacement du début, de la fin et/ou sa taille.</h4> <br>
            <img src="img/col_grid.png" alt="">
            <br>
                <button id="btn-grid-col">ESSAYER</button>
        </div>
    </div>
</section>

<!-- GRID ROW  -->


 <!-- grid-row-start -->
 <section class="grid-row-start">
    <div class="chef" >
        <div class="forme" >
                <div class="nos-boxs2 div_gride" id="grid-row-start" >
                <div class="box1" id="boite13">1</div>
                <div>2</div>
                <div>3</div> 
                <div>4</div>
                <div>5</div> 
                <div>6</div>
                <div>7</div>
                <div>8</div>    
            </div>
        </div>
        <div class="css">
            <h3>grid-row-start</h3>
            <h4>La propriété grid-row-start définit le début de la position, sur une ligne, d'un élément placé sur la grille </h4> <br>
            <img src="img/start_row-gride.png" alt="">
            <br>
                <button id="btn-grid-row-start">ESSAYER</button>
        </div>
    </div>
</section>

 <!-- grid-row-end -->
 <section class="grid-row-end">
    <div class="chef" >
        <div class="forme" >
                <div class="nos-boxs2 div_gride" id="grid-row-end" >
                <div class="box1" id="boite17">1</div>
                <div>2</div>
                <div>3</div> 
                <div>4</div>
                <div>5</div> 
                <div>6</div>
                <div>7</div>
                <div>8</div> 
            </div>
        </div>
        <div class="css">
            <h3>grid-row-end</h3>
            <h4>La propriété grid-row-end définit la position de la fin d'un élément de la grille dans une zone donnée ou sur un fragment de ligne donné.</h4> <br>
            <img src="img/end_row_gride.png" alt="">
            <br>
                <button id="btn-grid-row-end">ESSAYER</button>
        </div>
    </div>
</section>

 <!-- grid-row -->
 <section class="grid-row">
    <div class="chef" >
        <div class="forme" >
                <div class="nos-boxs2 div_gride" id="grid-row" >
                <div class="box1" id="boite21">1</div>
                <div>2</div>
                <div>3</div> 
                <div>4</div>
                <div>5</div> 
                <div>6</div>
                <div>7</div>
                <div>8</div>  
            </div>
        </div>
        <div class="css">
            <h3>grid-row</h3>
            <h4>La propriété grid-row est une propriété raccourcie pour grid-row-start et grid-row-end. Elle permet de définir la taille et l'emplacement d'un élément sur la grille en indiquant l'emplacement du début, de la fin et/ou sa taille.</h4> <br>
            <img src="img/row_grid.png" alt="">
            <br>
                <button id="btn-grid-row">ESSAYER</button>
        </div>
    </div>
</section>

<!-- GRID AREA  -->



<!-- grid-area -->
<section class="grid-area">
    <div class="chef" >
        <div class="forme" >
                <div class="nos-boxs2 div_gride" id="grid-area" >
                <div class="box1" id="boite25">1</div>
                <div>2</div>
                <div>3</div> 
                <div>4</div>
                <div>5</div> 
                <div>6</div>
                <div>7</div>
                <div>8</div>  
            </div>
        </div>
        <div class="css">
            <h3>grid-area</h3>
            <h4>La propriété grid-area est une propriété raccourcie pour grid-row-start, grid-column-start, grid-row-end et grid-column-end qui permet de définir la taille d'un objet de la grille et son emplacement via les bords de sa zone de grille.</h4> <br>
            <img src="img/area_grid.png" alt="">
            <br>
                <button id="btn-grid-area">ESSAYER</button>
        </div>
    </div>
</section>
</main>
<script src="node_modules/jquery/dist/jquery.js"></script>
<script src="js/script.js"></script>
</body>
</html>